Summary: STUN (Simple Traversal of UDP through NATs) server
Name: mystun
Version: 1.0
Release: 2%{?dist}
License: GPL
Group: Applications/System
Source0: http://download.berlios.de/mystun/mystun-%{version}-source.zip
Source1: mystun.init
Source2: mystun.sysconfig
Patch0: mystun-definition.patch
URL: http://developer.berlios.de/projects/mystun/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel, dos2unix
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
The STUN (Simple Traversal of UDP through NATs (Network Address Translation))
server is an implementation of the STUN protocol that enables STUN
functionality in SIP-based systems.
STUN is an application-layer protocol that can determine the public IP and
nature of a NAT device that sits between the STUN client and STUN server.

%prep
%setup -q
%patch0 -p 1 -b .defs
sed -i -e 's/server.exe/mystun-server/; s/client.exe/mystun-client/' Makefile
dos2unix -o COPYING README

%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -DOPENSSL_NO_KRBS"

%install
rm -rf %{buildroot}
install -D -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/mystun
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/mystun
install -D -m 755 mystun-server %{buildroot}%{_sbindir}/mystun-server
install -D -m 755 mystun-client %{buildroot}%{_bindir}/mystun-client

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add mystun

%preun
if [ "$1" = "0" ]; then
        /sbin/service mystun stop >/dev/null 2>&1
        /sbin/chkconfig --del mystun
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service mystun condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc COPYING README
%config(noreplace) %{_sysconfdir}/sysconfig/mystun
%{_initrddir}/mystun
%{_bindir}/mystun-client
%{_sbindir}/mystun-server


%changelog
* Tue Mar 13 2007 Andreas Thienemann <andreas@bawue.net> 1.0-2
- Fix CFLAGS
- Fix lineendings in docs
- Typofix in %%clean

* Sat Mar 10 2007 Andreas Thienemann <andreas@bawue.net> 1.0-1
- Updated to version 1.0

* Sat Feb 04 2006 Andreas Thienemann <andreas@bawue.net> 0-0.1.20060204cvs-1
- Initial spec.
